Code-Scan-Befunde auflisten
curl --request GET \
--url https://api.devin.ai/v3/organizations/{org_id}/code-scans/findings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devin.ai/v3/organizations/{org_id}/code-scans/findings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devin.ai/v3/organizations/{org_id}/code-scans/findings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"category": "<string>",
"code_owners": [
"<string>"
],
"created_at": 123,
"description": "<string>",
"finding_id": "<string>",
"note": "<string>",
"orchestrator_session_id": "<string>",
"pr_url": "<string>",
"recommendation": "<string>",
"reference_snippets": [
{
"commentary": "<string>",
"end_line": 123,
"file_path": "<string>",
"start_line": 123,
"code": "<string>"
}
],
"repo_name": "<string>",
"scan_id": "<string>",
"session_id": "<string>",
"severity": "critical",
"status": "open",
"title": "<string>",
"related_finding_ids": [
"<string>"
]
}
],
"end_cursor": "<string>",
"has_next_page": false,
"total": 123
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}Code-Scans (Organisation)
Code-Scan-Befunde auflisten (Devin API)
Devin-Code-Scan-Befunde einer Organisation über die v3-Organisations-API auflisten, gefiltert nach Scan, Repository, Schweregrad oder Status
GET
/
v3
/
organizations
/
{org_id}
/
code-scans
/
findings
Code-Scan-Befunde auflisten
Berechtigungen
ViewCodeScans auf Organisationsebene.
Verwandte Themen
- Filtern Sie nach
scan_id, sobald ein mit Code-Scan starten gestarteter Scan den Statuscompletederreicht hat (Informationen zum Abrufen des Status finden Sie unter Code-Scans auflisten). - Starten Sie mit Code-Scan-Befund beheben die Fehlerbehebung für einen Befund.
- Verwenden Sie für aggregierte Anzahlen von Scans, Befunden und PRs zur Fehlerbehebung innerhalb eines Zeitraums Code-Scan-Metriken abrufen.
- Den vollständigen Workflow finden Sie unter Code-Scans über die Devin API auslösen.
Autorisierungen
Servicebenutzer-Anmeldedaten (Präfix: cog_)
Pfadparameter
Organisations-ID (Präfix: org-)
Beispiel:
"org-abc123def456"
Abfrageparameter
Erforderlicher Bereich:
1 <= x <= 200Auf Befunde filtern, die von diesem Scan erzeugt wurden.
Auf Befunde filtern, die in diesem Repository gemeldet wurden.
Auf Befunde mit einem dieser Schweregrade filtern (critical, high, medium, low).
Verfügbare Optionen:
critical, high, medium, low Auf Befunde mit einem dieser Status filtern (open, dismissed, resolved).
Verfügbare Optionen:
open, dismissed, resolved Antwort
Erfolgreiche Antwort
Show child attributes
Show child attributes
Cursor zum Abrufen der nächsten Seite oder None, wenn dies die letzte Seite ist.
Ob nach dieser Seite weitere Einträge verfügbar sind.
Optionale Gesamtanzahl (kann aus Leistungsgründen weggelassen werden).

